Skip to content
← Back to Community
Pyaudio
Profile icon
[deleted]

Please help me I am trying to make fox an a.i Witch can recognize your voice but when I go to repl.it package PyAudio keeps on showing this
([EnvCommandError]
Command ['/home/runner/.local/share/virtualenvs/python3/bin/python', '-m', '
pip', 'install', '--no-deps', 'pyaudio==0.2.11'] errored with the following
output:
Collecting pyaudio==0.2.11
Downloading https://files.pythonhosted.org/packages/ab/42/b4f04721c5c5bfc1
96ce156b3c768998ef8c0ae3654ed29ea5020c749a6b/PyAudio-0.2.11.tar.gz
Installing collected packages: pyaudio
Running setup.py install for pyaudio: started
Running setup.py install for pyaudio: finished with status 'error'
Complete output from command /home/runner/.local/share/virtualenvs/pytho
n3/bin/python -u -c "import setuptools, tokenize;file='/tmp/pip-install-
_3yfoct3/pyaudio/setup.py';f=getattr(tokenize, 'open', open)(file);code=
f.read().replace('\r\n', '\n');f.close();exec(compile(code, file, 'exec'
))" install --record /tmp/pip-record-2ccepjxn/install-record.txt --single-ve
rsion-externally-managed --compile --install-headers /home/runner/.local/sha
re/virtualenvs/python3/include/site/python3.7/pyaudio:
running install
running build
running build_py
creating build
creating build/lib.linux-x86_64-3.7
copying src/pyaudio.py -> build/lib.linux-x86_64-3.7
running build_ext
building '_portaudio' extension
creating build/temp.linux-x86_64-3.7
creating build/temp.linux-x86_64-3.7/src
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -
Wall -fPIC -I/home/runner/.local/share/virtualenvs/python3/include -I/usr/lo
cal/include/python3.7m -c src/_portaudiomodule.c -o build/temp.linux-x86_64-
3.7/src/_portaudiomodule.o
src/_portaudiomodule.c:29:23: fatal error: portaudio.h: No such file or
directory
#include "portaudio.h"
^
compilation terminated.
error: command 'gcc' failed with exit status 1

----------------------------------------

Command "/home/runner/.local/share/virtualenvs/python3/bin/python -u -c "imp
ort setuptools, tokenize;file='/tmp/pip-install-_3yfoct3/pyaudio/setup.p
y';f=getattr(tokenize, 'open', open)(file);code=f.read().replace('\r\n',
'\n');f.close();exec(compile(code, file, 'exec'))" install --record /tm
p/pip-record-2ccepjxn/install-record.txt --single-version-externally-managed
--compile --install-headers /home/runner/.local/share/virtualenvs/python3/i
nclude/site/python3.7/pyaudio" failed with error code 1 in /tmp/pip-install-
_3yfoct3/pyaudio/
You are using pip version 19.0.3, however version 19.3.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

add [-D|--dev] [--git GIT] [--path PATH] [-E|--extras EXTRAS] [--optional] [--python PYTHON] [--platform PLATFORM] [--allow-prereleases] [--dry-run] [--] ()...

exit status 1

Repl.it: Package operation failed.))

Voters
Profile icon
Progamer092
Profile icon
Developer-Bhavi
Profile icon
jaspgill487
Comments
hotnewtop
Profile icon
Vandesm14

Audio does not work on repl.it unless you are using an HTML repl.